% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ShiVa.R
\name{summary.ShiftModel}
\alias{summary.ShiftModel}
\title{Summary of a ShiVa Shift Model}
\usage{
\method{summary}{ShiftModel}(object, ...)
}
\arguments{
\item{object}{An object of class \code{ShiftModel}, typically returned by functions such as \code{fit_OU_mean_var()}, or extracted as \code{best_model} from \code{get_mean_var_shifts_model_selection()} or \code{ShiVa()}.}

\item{...}{Additional arguments (currently unused).}
}
\value{
An object of class \code{summary.ShiftModel}, which includes:
\itemize{
  \item \code{alpha}: Estimated selection strength parameter.
  \item \code{sigma2}: Estimated diffusion variance.
  \item \code{loglik}: Log-likelihood of the fitted model.
  \item \code{BIC}: Bayesian Information Criterion.
  \item \code{mean_shifts}: A data frame of branches with shifts in optimal value.
  \item \code{var_shifts}: A data frame of branches with shifts in evolutionary variance.
}
}
\description{
Generate a summary of a fitted ShiVa model object, including estimated parameters and details of detected shifts in optimal trait value (mean) and evolutionary variance.
}
